Subject: Re: [PATCH] bridge: fix "entering disabled state" logging

From: Paulius Zaleckas <[email-masked]>
Date: Wed, 07 Mar 2012 10:04:04 +0200

On 03/06/2012 09:33 PM, David Miller wrote:
> From: Paulius Zaleckas<[email-masked]>
> Date: Tue, 06 Mar 2012 16:22:19 +0200
>
>> Now we have:
>> eth0: link *down*
>> br0: port 1(eth0) entering *forwarding* state
>>
>> State should be logged *after* it was changed, not before.
>>
>> Reported-by: Zilvinas Valinskas<[email-masked]>
>> Signed-off-by: Paulius Zaleckas<[email-masked]>
>
> This is intentional, this was a discussion about this.
>
> "Entering" means "about to" therefore we say it before it happens.

You have missed the whole point here... please look at dmesg output, I 
have bolded what you should pay attention to. It should say "entering 
disabled state" instead of "entering forwarding state".

However I do agree with you and Stephen that it should say "entered" and 
not "entering". I will send you patch changing this.

I will also resend this patch with better description.